# H225_Setup_UUIE Class Reference

`#include <h225.h>`

Inheritance diagram for H225_Setup_UUIE:

List of all members.

## Public Types

enum

OptionalFields {
e_h245Address, e_sourceAddress, e_destinationAddress, e_destCallSignalAddress,
e_destExtraCallInfo, e_destExtraCRV, e_callServices, e_sourceCallSignalAddress,
e_remoteExtensionAddress, e_callIdentifier, e_h245SecurityCapability, e_tokens,
e_cryptoTokens, e_fastStart, e_mediaWaitForConnect, e_canOverlapSend,
e_endpointIdentifier, e_multipleCalls, e_maintainConnection, e_connectionParameters,
e_language, e_presentationIndicator, e_screeningIndicator, e_serviceControl,
e_symmetricOperationRequired, e_capacity, e_circuitInfo, e_desiredProtocols,
e_neededFeatures, e_desiredFeatures, e_supportedFeatures, e_parallelH245Control,
e_additionalSourceAddresses, e_hopCount
}

## Public Member Functions

| H225_Setup_UUIE (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ProtocolIdentifier | m_protocolIdentifier
H225_TransportAddress | m_h245Address
H225_ArrayOf_AliasAddress | m_sourceAddress
H225_EndpointType | m_sourceInfo
H225_ArrayOf_AliasAddress | m_destinationAddress
H225_TransportAddress | m_destCallSignalAddress
H225_ArrayOf_AliasAddress | m_destExtraCallInfo
H225_ArrayOf_CallReferenceValue | m_destExtraCRV
PASN_Boolean | m_activeMC
H225_ConferenceIdentifier | m_conferenceID
H225_Setup_UUIE_conferenceGoal | m_conferenceGoal
H225_QseriesOptions | m_callServices
H225_CallType | m_callType
H225_TransportAddress | m_sourceCallSignalAddress
H225_AliasAddress | m_remoteExtensionAddress
H225_CallIdentifier | m_callIdentifier
H225_ArrayOf_H245Security | m_h245SecurityCapability
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ArrayOf_PASN_OctetString | m_fastStart
PASN_Boolean | m_mediaWaitForConnect
PASN_Boolean | m_canOverlapSend
H225_EndpointIdentifier | m_endpointIdentifier
PASN_Boolean | m_multipleCalls
PASN_Boolean | m_maintainConnection
H225_Setup_UUIE_connectionParameters | m_connectionParameters
H225_Setup_UUIE_language | m_language
H225_PresentationIndicator | m_presentationIndicator
H225_ScreeningIndicator | m_screeningIndicator
H225_ArrayOf_ServiceControlSession | m_serviceControl
PASN_Null | m_symmetricOperationRequired
H225_CallCapacity | m_capacity
H225_CircuitInfo | m_circuitInfo
H225_ArrayOf_SupportedProtocols | m_desiredProtocols
H225_ArrayOf_FeatureDescriptor | m_neededFeatures
H225_ArrayOf_FeatureDescriptor | m_desiredFeatures
H225_ArrayOf_FeatureDescriptor | m_supportedFeatures
H225_ArrayOf_PASN_OctetString | m_parallelH245Control
H225_ArrayOf_ExtendedAliasAddress | m_additionalSourceAddresses
PASN_Integer | m_hopCount

## Member Enumeration Documentation

enum H225_Setup_UUIE::OptionalFields

Enumerator:

  e_h245Address |
  e_sourceAddress |
  e_destinationAddress |
  e_destCallSignalAddress |
  e_destExtraCallInfo |
  e_destExtraCRV |
  e_callServices |
  e_sourceCallSignalAddress |
  e_remoteExtensionAddress |
  e_callIdentifier |
  e_h245SecurityCapability |
  e_tokens |
  e_cryptoTokens |
  e_fastStart |
  e_mediaWaitForConnect |
  e_canOverlapSend |
  e_endpointIdentifier |
  e_multipleCalls |
  e_maintainConnection |
  e_connectionParameters |
  e_language |
  e_presentationIndicator |
  e_screeningIndicator |
  e_serviceControl |
  e_symmetricOperationRequired |
  e_capacity |
  e_circuitInfo |
  e_desiredProtocols |
  e_neededFeatures |
  e_desiredFeatures |
  e_supportedFeatures |
  e_parallelH245Control |
  e_additionalSourceAddresses |
  e_hopCount |

## Constructor & Destructor Documentation

H225_Setup_UUIE::H225_Setup_UUIE | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_Setup_UUIE::GetDataLength | ( |  | ) | const

PBoolean H225_Setup_UUIE::Decode | ( | PASN_Stream & | strm | ) |

void H225_Setup_UUIE::Encode | ( | PASN_Stream & | strm | ) | const

void H225_Setup_UUIE::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_Setup_UUIE::Compare | ( | const PObject & | obj | ) | const

PObject* H225_Setup_UUIE::Clone | ( |  | ) | const

## Member Data Documentation

H225_ProtocolIdentifier H225_Setup_UUIE::m_protocolIdentifier

H225_TransportAddress H225_Setup_UUIE::m_h245Address

H225_ArrayOf_AliasAddress H225_Setup_UUIE::m_sourceAddress

H225_EndpointType H225_Setup_UUIE::m_sourceInfo

H225_ArrayOf_AliasAddress H225_Setup_UUIE::m_destinationAddress

H225_TransportAddress H225_Setup_UUIE::m_destCallSignalAddress

H225_ArrayOf_AliasAddress H225_Setup_UUIE::m_destExtraCallInfo

H225_ArrayOf_CallReferenceValue H225_Setup_UUIE::m_destExtraCRV

PASN_Boolean H225_Setup_UUIE::m_activeMC

H225_ConferenceIdentifier H225_Setup_UUIE::m_conferenceID

H225_Setup_UUIE_conferenceGoal H225_Setup_UUIE::m_conferenceGoal

H225_QseriesOptions H225_Setup_UUIE::m_callServices

H225_CallType H225_Setup_UUIE::m_callType

H225_TransportAddress H225_Setup_UUIE::m_sourceCallSignalAddress

H225_AliasAddress H225_Setup_UUIE::m_remoteExtensionAddress

H225_CallIdentifier H225_Setup_UUIE::m_callIdentifier

H225_ArrayOf_H245Security H225_Setup_UUIE::m_h245SecurityCapability

H225_ArrayOf_ClearToken H225_Setup_UUIE::m_tokens

H225_ArrayOf_CryptoH323Token H225_Setup_UUIE::m_cryptoTokens

H225_ArrayOf_PASN_OctetString H225_Setup_UUIE::m_fastStart

PASN_Boolean H225_Setup_UUIE::m_mediaWaitForConnect

PASN_Boolean H225_Setup_UUIE::m_canOverlapSend

H225_EndpointIdentifier H225_Setup_UUIE::m_endpointIdentifier

PASN_Boolean H225_Setup_UUIE::m_multipleCalls

PASN_Boolean H225_Setup_UUIE::m_maintainConnection

H225_Setup_UUIE_connectionParameters H225_Setup_UUIE::m_connectionParameters

H225_Setup_UUIE_language H225_Setup_UUIE::m_language

H225_PresentationIndicator H225_Setup_UUIE::m_presentationIndicator

H225_ScreeningIndicator H225_Setup_UUIE::m_screeningIndicator

H225_ArrayOf_ServiceControlSession H225_Setup_UUIE::m_serviceControl

PASN_Null H225_Setup_UUIE::m_symmetricOperationRequired

H225_CallCapacity H225_Setup_UUIE::m_capacity

H225_CircuitInfo H225_Setup_UUIE::m_circuitInfo

H225_ArrayOf_SupportedProtocols H225_Setup_UUIE::m_desiredProtocols

H225_ArrayOf_FeatureDescriptor H225_Setup_UUIE::m_neededFeatures

H225_ArrayOf_FeatureDescriptor H225_Setup_UUIE::m_desiredFeatures

H225_ArrayOf_FeatureDescriptor H225_Setup_UUIE::m_supportedFeatures

H225_ArrayOf_PASN_OctetString H225_Setup_UUIE::m_parallelH245Control

H225_ArrayOf_ExtendedAliasAddress H225_Setup_UUIE::m_additionalSourceAddresses

PASN_Integer H225_Setup_UUIE::m_hopCount

The documentation for this class was generated from the following file:

- h225.h